Issues with broadcom 10Gb SFP+ pci-e cards

TwiX

Renowned Member
Feb 3, 2015
310
23
83
Hi,

We are currently experiencing issues with Broadcom cards. (Dell R440)

proxmox-ve: 5.2-2 (running kernel: 4.15.18-8-pve)
pve-manager: 5.2-10 (running version: 5.2-10/6f892b40)
pve-kernel-4.15: 5.2-11
pve-kernel-4.15.18-8-pve: 4.15.18-28
pve-kernel-4.15.18-7-pve: 4.15.18-27
pve-kernel-4.15.17-1-pve: 4.15.17-9
ceph: 12.2.8-pve1
corosync: 2.4.2-pve5
criu: 2.11.1-1~bpo90
glusterfs-client: 3.8.8-1
ksm-control-daemon: 1.2-2
libjs-extjs: 6.0.1-2
libpve-access-control: 5.0-8
libpve-apiclient-perl: 2.0-5
libpve-common-perl: 5.0-41
libpve-guest-common-perl: 2.0-18
libpve-http-server-perl: 2.0-11
libpve-storage-perl: 5.0-30
libqb0: 1.0.1-1
lvm2: 2.02.168-pve6
lxc-pve: 3.0.2+pve1-3
lxcfs: 3.0.2-2
novnc-pve: 1.0.0-2
proxmox-widget-toolkit: 1.0-20
pve-cluster: 5.0-30
pve-container: 2.0-29
pve-docs: 5.2-9
pve-firewall: 3.0-14
pve-firmware: 2.0-6
pve-ha-manager: 2.0-5
pve-i18n: 1.0-6
pve-libspice-server1: 0.14.1-1
pve-qemu-kvm: 2.12.1-1
pve-xtermjs: 1.0-5
qemu-server: 5.0-38
smartmontools: 6.5+svn4324-1
spiceterm: 3.0-5
vncterm: 1.5-3
zfsutils-linux: 0.7.11-pve2~bpo1

Code:
5e:00.0 Ethernet controller: Broadcom Limited BCM57416 NetXtreme-E 10GBase-T RDMA Ethernet Controller (rev 01)
5e:00.1 Ethernet controller: Broadcom Limited BCM57416 NetXtreme-E 10GBase-T RDMA Ethernet Controller (rev 01)
af:00.0 Ethernet controller: Broadcom Limited BCM57412 NetXtreme-E 10Gb RDMA Ethernet Controller (rev 01)
af:00.1 Ethernet controller: Broadcom Limited BCM57412 NetXtreme-E 10Gb RDMA Ethernet Controller (rev 01)

Module bnxt_en randomly crashes on boot (or few sec after boot).

image-1.png


The only solution to fix it is to put power off few minutes and boot again.
(https://www.dell.com/community/Powe...en-module-crashes-on-14G-servers/td-p/6031769)

No problem with BCM57810 => bnx2x module, but these cards are no longer compatible with new R440.

So, I have two questions :

- Maybe some of you guys have ever seen this bug and fix it ?
- If I have to replace BCM574XX for another model, could you tell me a model that should be fully compliant with proxmox v5.2 ? Intel X710 for example ?

Thanks in advanced !

Antoine
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get yours easily in our online shop.

Buy now!